Last Comment Bug 1306671 - (webext-themes) Prototype new Theme API
(webext-themes)
: Prototype new Theme API
Status: RESOLVED FIXED
triaged
: meta
Product: Toolkit
Classification: Components
Component: WebExtensions: General (show other bugs)
: unspecified
: Unspecified Unspecified
P3 normal with 8 votes (vote)
: ---
Assigned To: Jared Wein [:jaws] (please needinfo? me)
:
:
Mentors:
https://hg.mozilla.org/projects/cedar/
Depends on: 1271481 1314145 1316603 1319836 1319840 1319873 1319893 1320585 1306676 1307202 1309908 1310144 1311352 1311722 1313325 1315255 1320781 1320788 1320789
Blocks: webextensions-additional-apis
  Show dependency treegraph
 
Reported: 2016-09-30 10:30 PDT by Jared Wein [:jaws] (please needinfo? me)
Modified: 2017-01-25 11:58 PST (History)
24 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description User image Jared Wein [:jaws] (please needinfo? me) 2016-09-30 10:30:47 PDT
This is a preliminary/research attempt at a new Theme API implemented as part of WebExtensions. This bug will track the work necessary for a prototype-implementation of this API.

Work will be committed to the Cedar repo, https://treeherder.mozilla.org/#/jobs?repo=cedar
Comment 1 User image Hi-Angel 2016-11-25 07:48:08 PST
Hello Jared Wein, please set "Blocks" field to 1320336
Comment 2 User image Hi-Angel 2016-11-25 08:03:53 PST
Ah, I'm sorry, I could set the "Depends on" field myself, I didn't know.

Done.
Comment 3 User image Kris Maglione [:kmag] 2016-11-27 12:56:22 PST
*** Bug 1320585 has been marked as a duplicate of this bug. ***
Comment 4 User image Caspy7 2016-12-02 17:51:47 PST
Sorry if I'm noising up the bug, and if this is made obvious somewhere (I missed it), but a user left this comment on reddit:

> It's the only browser that is good for visually impaired people as you can change the size of the font for menus and favorites. If it goes away then I would be stuck with using a magnifying glass with chrome or IE/edge.
https://www.reddit.com/r/firefox/comments/5g25fy/mozilla_is_doing_well_financially_2015/dapr8xb/

And I was wondering if this is accounted for in the current planned feature set.
Comment 5 User image Jared Wein [:jaws] (please needinfo? me) 2016-12-15 21:03:30 PST
(In reply to Caspy7 from comment #4)
> Sorry if I'm noising up the bug, and if this is made obvious somewhere (I
> missed it), but a user left this comment on reddit:
> 
> > It's the only browser that is good for visually impaired people as you can change the size of the font for menus and favorites. If it goes away then I would be stuck with using a magnifying glass with chrome or IE/edge.
> https://www.reddit.com/r/firefox/comments/5g25fy/
> mozilla_is_doing_well_financially_2015/dapr8xb/
> 
> And I was wondering if this is accounted for in the current planned feature
> set.

Yes, we are discussing how we could implement zooming. Whether this is defined by the theme or in the preferences of the browser is still undecided.
Comment 6 User image Jared Wein [:jaws] (please needinfo? me) 2017-01-11 08:15:05 PST
This prototype phase has concluded. Implementation of the API is tracked in bug 1330328.

Note You need to log in before you can comment on or make changes to this bug.